<template>
  <v-footer
    height="auto"
    padless
    tile
  >
    <v-container
      fluid
      class="pa-0"
    >
      <v-row
        id="menu"
        justify="center"
        class="secondary"
      >
        <v-col
          cols="3"
          lg="3"
          xl="2"
          class="px-12"
          align-self="center"
        >
          <v-btn
            rounded
            :href="$t('links.route.feedback')"
            class="secondary--text font-weight-bold"
            color="white"
            elevation="0"
          >
            {{ $t('links.label.feedback') }}
          </v-btn> 
        </v-col>
        <v-col
          cols="3"
          lg="3"
          xl="2"
          class="px-12"
          align-self="center"
        >
          <div
            class="pa-5"
          >
            <v-img 
              :src="$t('urlLogo')" 
              height="250"
              contain
              eager
            />
          </div>
        </v-col>
        <v-col
          cols="3"
          lg="3"
          xl="2"
          class="white--text pa-0 pl-10 pt-12"
          align-self="start"
        >          
          <v-row
            dense
            class="pt-6 mt-6"
          >
            <v-col>
              <v-card-text class="ma-0 pa-0 title font-weight-bold">
                {{ $t("links.label.helpInfos") }}
              </v-card-text>
            </v-col>
          </v-row>
          <v-row dense>
            <v-col>
              <v-card-text class="ma-0 pa-0 ">
                <a
                  :href="$t('links.route.faq')"
                  style="text-decoration:none;"
                  class="white--text title"
                >{{ $t('links.label.faq') }}</a>
              </v-card-text>
            </v-col>
          </v-row>
          <v-row dense>
            <v-col>
              <v-card-text class="ma-0 pa-0 ">
                <a
                  :href="$t('links.route.dataPolicy')"
                  style="text-decoration:none;"
                  class="white--text title"
                >{{ $t('links.label.dataPolicy') }}</a>
              </v-card-text>       
            </v-col>
          </v-row>
          <v-row dense>
            <v-col>
              <v-card-text class="ma-0 pa-0 ">
                <a
                  :href="$t('links.route.terms')"
                  style="text-decoration:none;"
                  class="white--text title"
                >{{ $t('links.label.terms') }}</a>
              </v-card-text>       
            </v-col>
          </v-row>
          <v-row dense>
            <v-col>
              <v-card-text class="ma-0 pa-0 ">
                <a
                  style="text-decoration:none;"
                  class="white--text title"
                  @click="showCookiesAction()"
                >{{ $t('tools.cookies.title') }}</a>
              </v-card-text>       
            </v-col>
          </v-row>
        </v-col>
      </v-row>

      <v-row
        justify="center"
        class="secondary"
      >
        <v-col class="text-center">
          <p class="white--text">
            <a
              class="white--text"
              style="text-decoration:none;"
              :href="$t('mobicoopUrl')"
              :alt="$t('mobicoopUrlAlt')"
            >{{ $t('licence') }}</a>
          </p>
        </v-col>
      </v-row>
      <cookies
        :show="showCookies"
        :app-name="appName"
        :auto-show="cookiesShowAuto"
        :social-networks-active="socialNetworksActive"
        :social-cookies="socialCookies"
        @dialogClosed="dialogCookiesClosed"
      />
    </v-container>
  </v-footer>
</template>

<script>
import { merge } from "lodash";
import {messages_en, messages_fr, messages_eu} from "@translations/components/base/MFooter/";
import {messages_client_en, messages_client_fr, messages_client_eu} from "@clientTranslations/components/base/MFooter/";
import Cookies from "@components/utilities/Cookies";

let MessagesMergedEn = merge(messages_en, messages_client_en);
let MessagesMergedEu = merge(messages_eu, messages_client_eu);
let MessagesMergedFr = merge(messages_fr, messages_client_fr);

export default {
  i18n: {
    messages: {
      'en': MessagesMergedEn,
      'eu': MessagesMergedEu,
      'fr': MessagesMergedFr
    }
  },
  components: {
    Cookies    
  },
  props: {
    logosPath: {
      type: String,
      default: null
    },   
    logos: {
      type: Object,
      default: null
    },
    appName:{
      type: String,
      default:null
    },
    cookiesShowAuto:{
      type: Boolean,
      default: true
    },
    socialNetworksActive:{
      type: Boolean,
      default: false
    },
    socialCookies:{
      type: Array,
      default: null
    }
  },  
  data() {
    return {
      showCookies: false
    }
  },
  methods:{
    showCookiesAction(){
      this.showCookies = true;
    },
    dialogCookiesClosed(){
      this.showCookies = false;
    }
  }
};
</script>
